Skip to main content

Gets the value of the specified variable

GET 

/variables/runtime/groups/:groupName/variables/:variableName

Gets the value of the specified variable.

Example:

curl -u user:password -i http://orchestra-host:orchestra-port/variables/runtime/groups/{groupName}/variables/{variableName}

Request​

Responses​

Returns a JSON value of the variable. Ex.

"value1"

If there is no such group called groupName in the runtime cache, returns HTTPS status 404
If there is no such variable called variableName in the specified group, returns HTTPS status 404